# File for reproducing the analyses presented in the paper
# "Complexity selection and CV in lasso and sparse PLS with high-dimensional data"
# by A.-L. Boulesteix, A. Richter and C. Bernau

# Study 1, Ancona data set 

source("fun.r")

library(glmnet)
library(affy)
niter<-2000

##############
### Ancona ###
##############

load("../realdata/ancona06/RMA.RData")
load("../realdata/ancona06/y.RData")
y<-as.numeric(y)
X<-t(exprs(X))
result1_ancona<-lassoCV(X=X,y=y,niter=niter,Kvec=c(3,5,10,20))
save(result1_ancona,file="results/result1_ancona.RData")
rm(result1_ancona)

