# File for reproducing the analyses presented in the paper
# "Complexity selection and CV in lasso and sparse PLS with high-dimensional data"
# by A.-L. Boulesteix, A. Richter and C. Bernau

# Study 1, Singh data set 

source("fun.r")

library(glmnet)
library(affy)
niter<-2000

#############
### Singh ###
#############

load("../realdata/singh02/RMA.RData")
load("../realdata/singh02/y.RData")
y<-as.numeric(y)
X<-t(exprs(X))
result1_singh<-lassoCV(X=X,y=y,niter=niter,Kvec=c(3,5,10,20))
save(result1_singh,file="results/result1_singh.RData")
rm(result1_singh)







