# File for reproducing the analyses presented in the paper
# "Complexity selection and CV in lasso and sparse PLS with high-dimensional data"
# by A.-L. Boulesteix, A. Richter and C. Bernau

# Study 1, Wang data set 

source("fun.r")

library(glmnet)
library(affy)
niter<-2000

############
### Wang ###
############

load("../realdata/wang05/RMA.RData")
load("../realdata/wang05/y.RData")
y<-as.numeric(y)
X<-t(exprs(X))
result1_wang<-lassoCV(X=X,y=y,niter=niter,Kvec=c(3,5,10,20))
save(result1_wang,file="results/result1_wang.RData")
rm(result1_wang)









